package ACL2::Orden::Inpackage;
use base ACL2::Orden;

#
#    Orden IN-PACKAGE: por lo pronto no hace nada.
#    Copyright (C) 2006-2008 Antonio García Domínguez
#
#    This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

use strict;
use warnings;
use ACL2::Tags;

=head2 get_nombre_paquete

Devuelve el nombre del paquete.

=cut

sub get_nombre_paquete
{
    return $_[0]->{nombre_paquete};
}

sub protegido_extraer_sumario
{
    # NOTA: In-package no tiene sumario
    return "";
}

sub protegido_inicializar_sexpr
{
    # Quitamos las comillas
    $_[0]->{nombre_paquete} = $_[0]->get_elems_formula->[1];
    $_[0]->{nombre_paquete} =~ tr/\"//d;
}

sub protegido_inicializar_salida
{
    my ($this) = @_;
    # nada que hacer
}

sub protegido_cabecera
{
    $_[1]->startTag(ACL2::Tags::INPACKAGE_TAG,
		    "name" => $_[0]->{nombre_paquete});
}


sub protegido_cuerpo
{
    # nada que hacer
}

1;
